[Tool] phpBB 2.0.11 to phpBB 2.0.12 Code Changes

All new MODs released in our MOD Database will be announced in here. All support for released MODs needs to take place in here. No new MODs will be accepted into the MOD Database for phpBB2
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.

Rating:

Excellent!
77
71%
Very Good
13
12%
Good
7
6%
Fair
4
4%
Poor
8
7%
 
Total votes: 109

N@stY
Registered User
Posts: 93
Joined: Wed Nov 17, 2004 9:11 pm

Post by N@stY » Thu Feb 24, 2005 3:47 pm

cant find :?

includes/template.php

FIND - Line 233

Code: Select all

             $filename = phpbb_realpath($this->root . '/' . $filename);
REPLACE WITH

Code: Select all

             $filename = ($rp_filename = phpbb_realpath($this->root . '/' . $filename)) ? $rp_filename : $filename;

Is that a big problem? :oops:

BlueRook
Registered User
Posts: 2892
Joined: Wed Mar 10, 2004 2:38 am

Post by BlueRook » Thu Feb 24, 2005 4:08 pm

Depends, do you have any MOD's installed? Such as the eXtreme Style MOD. If you have that MOD those lines are not there and it's no problem.

User avatar
stickerboy
Former Team Member
Posts: 7349
Joined: Mon Mar 29, 2004 2:27 pm
Location: Airdrie, UK (127.0.0.1)
Name: Kenny Cameron
Contact:

Post by stickerboy » Thu Feb 24, 2005 5:33 pm

Just updated there - manually, as I don't like doing this kind of thing with easyMOD ;)

Wanted to add a little bit though. Beacuse of the customised template i'm using, I couldn't seen some of the "version info" text in the admin/index.
So i popped it all into a nice neat table.

Here's the code if anyone wants to see how it looks (might want to add it below the existing code to see the difference first of all ;))

find in templates/subSilver/admin/index_body.tpl

Code: Select all

<h1>{L_VERSION_INFORMATION}</h1>

{VERSION_INFO}

<br />
and replace with

Code: Select all


<br />

&nbsp;<h1>{L_VERSION_INFORMATION}</h1>&nbsp;

    <table width="100%" cellpadding="1" cellspacing="1" border="0" class="forumline" align="center">
      <thead>
        <tr>
          <th height="28" colspan="1" class="thHead">
           &nbsp;{L_VERSION_INFORMATION}&nbsp;
          </th>
        </tr>
      </thead>
      <tr>
        <td class="row2" align="center">
	<span class="gen"><br />{VERSION_INFO}<br /></span>
        </td>
      </tr>
    </table>

<br />
:)
I'm a web-designing code-decrypting tech-support musician
|| Twitter || Flickr || phpBB Snippets ||
Formerly known as cherokee red

User avatar
SGD
Registered User
Posts: 91
Joined: Wed Nov 19, 2003 8:41 pm
Location: Washington

Post by SGD » Thu Feb 24, 2005 5:56 pm

That look great. Cleans up the acp a little.
Make It Happen!

Manipe
Former Team Member
Posts: 1146
Joined: Thu Jul 22, 2004 6:30 pm
Location: Éire
Contact:

Re: [Tool] phpBB 2.0.11 to phpBB 2.0.12 Code Changes

Post by Manipe » Thu Feb 24, 2005 7:31 pm

SeraphicGate wrote:
MOD Database Manager wrote:Classification: 48 phpBB Installation & Upgrade Tools

MOD Name: phpBB 2.0.11 to phpBB 2.0.12 Code Changes
Author: Acyd Burn
MOD Description: Code Changes from phpBB 2.0.11 to 2.0.12 in three formats (text/mod, html, bbcode prepared for posting the changes on phpBB forums).


MOD Version: 1.0.0
Installation Level: Intermediate
Installation Time: ~ 10 Minutes

Download File: phpbb_2011_to_2012.zip
File Size: 22689 Bytes

Security Score: 0


Is using this the same as upgrading using the "phpBB 2.0.12 [ Patch File Only] " download? I just installed the "custom_title" and "auto_group" mods on phpBB 2.0.11, and it took awhile. I don't want to have to do them over again. Should I use the patch files found on the download page or would this download work just the same?


Well, if you use the patch files only, you will have to reinstall the MOD on those files if the MOD affected those perticular files.
It is just easier and safer to use this tool.
My MODs: [ Topics a user has started ] , [ Profile views ] , [ Colour on poll results ] , [ Topic posters ] , [ Add number to PM ] , [ Default avatar ] , [ View category name ] , [ Null vote ] , [ Forum description in viewforum ] , [ Resync forum ids ] , [ View PM while replying ] , [ Quick poll insert ] , [ Limit login attempts ] , [ Track PMs ]

www.ManipeF1.com

SeraphicGate
Registered User
Posts: 207
Joined: Tue Dec 23, 2003 6:54 am

Post by SeraphicGate » Thu Feb 24, 2005 7:52 pm

Thanks, Manipe.

I just installed the "phpBB 2.0.11 to phpBB 2.0.12 Code Changes" update and everything is working great. All my old mods still work! I'm off to try and install the "attach_mod". Great job phpBB staff.

Oh and one other thing, does anyone know a good shoutbox for phpbb? I didn't see one anywhere in the mods page.

sjfierce
Registered User
Posts: 45
Joined: Tue Jun 15, 2004 11:10 am

Post by sjfierce » Thu Feb 24, 2005 8:24 pm

Problem-free upgrade. Thanks a lot.

If anyone is using Categories Hierarchy 2.1.0 and getting the message in the ACP saying you still need to upgrade, try clearing your caches. I had this message until I deleted all my dta_* files in the cache folder.

pbellamy
Registered User
Posts: 51
Joined: Fri Apr 04, 2003 10:24 am
Location: West Sussex, UK
Contact:

Post by pbellamy » Thu Feb 24, 2005 9:31 pm

After updating to 2.0.12 I'm getting the following parse error.

Parse error: parse error, unexpected '}' in /home/ctfc1/public_html/forum/common.php on line 129

Here is some of my code (lines 113 to 135) for common.php

Code: Select all

	// Merge all into one extremely huge array; unset 
   // this later 
   $input = array_merge($HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_COOKIE_VARS, $HTTP_SERVER_VARS, $HTTP_SESSION_VARS, $HTTP_ENV_VARS, $HTTP_POST_FILES); 

   unset($input['input']); 
   unset($input['not_unset']); 

   while (list($var,) = @each($input)) 
   { 
      if (!in_array($var, $not_unset)) 
      { 
         unset($$var); 
      } 
   } 
    
   unset($input); 
} 

// 
// addslashes to vars if magic_quotes_gpc is off 
// this is a security precaution to prevent someone 
// trying to break out of a SQL statement. 
//
Reading this thread from the beginning that looks right. I'm puzzled. :?

Manipe
Former Team Member
Posts: 1146
Joined: Thu Jul 22, 2004 6:30 pm
Location: Éire
Contact:

Post by Manipe » Thu Feb 24, 2005 9:41 pm

pbellamy wrote: After updating to 2.0.12 I'm getting the following parse error.

Parse error: parse error, unexpected '}' in /home/ctfc1/public_html/forum/common.php on line 129

Here is some of my code (lines 113 to 135) for common.php

Code: Select all

	// Merge all into one extremely huge array; unset 
   // this later 
   $input = array_merge($HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_COOKIE_VARS, $HTTP_SERVER_VARS, $HTTP_SESSION_VARS, $HTTP_ENV_VARS, $HTTP_POST_FILES); 

   unset($input['input']); 
   unset($input['not_unset']); 

   while (list($var,) = @each($input)) 
   { 
      if (!in_array($var, $not_unset)) 
      { 
         unset($$var); 
      } 
   } 
    
   unset($input); 
} 

// 
// addslashes to vars if magic_quotes_gpc is off 
// this is a security precaution to prevent someone 
// trying to break out of a SQL statement. 
//
Reading this thread from the beginning that looks right. I'm puzzled. :?


Try and delete the comma (,) in this line:

Code: Select all

   while (list($var,) = @each($input)) 
My MODs: [ Topics a user has started ] , [ Profile views ] , [ Colour on poll results ] , [ Topic posters ] , [ Add number to PM ] , [ Default avatar ] , [ View category name ] , [ Null vote ] , [ Forum description in viewforum ] , [ Resync forum ids ] , [ View PM while replying ] , [ Quick poll insert ] , [ Limit login attempts ] , [ Track PMs ]

www.ManipeF1.com

BondGamer
Registered User
Posts: 435
Joined: Mon Dec 15, 2003 7:49 pm
Contact:

Post by BondGamer » Thu Feb 24, 2005 9:46 pm

I am having a problem with the first edit in admin_db_utilities.php. Apparently a mod completely changed the line. Can anyone tell me if I need to edit in order to backup the new table? It looks like it just grabs every table assosciated with the board:

Code: Select all

$phpbb_only = (!empty($HTTP_POST_VARS['phpbb_only'])) ? $HTTP_POST_VARS['phpbb_only'] : ( (!empty($HTTP_GET_VARS['phpbb_only'])) ? $HTTP_GET_VARS['phpbb_only'] : 0 );
*Update*

Oh, this was changed by the complete database backup mod. So I don't need to have this change at all?
Last edited by BondGamer on Thu Feb 24, 2005 9:48 pm, edited 1 time in total.
My phpBB3 Mods: - None active =[

Wo1f
Registered User
Posts: 2039
Joined: Fri Jan 28, 2005 3:20 am

Post by Wo1f » Thu Feb 24, 2005 9:46 pm

Another flawless upgrade (using EasyMod) and created a temporary install folder off the root for the "update_to_latest.php" file. Forum is moded (about 10 of them).

Many thanks to the PHPBB team and Acid for all your hard work and dedication. It is appreciated!

dotslasher
Registered User
Posts: 17
Joined: Sat Mar 13, 2004 12:17 pm
Contact:

Post by dotslasher » Thu Feb 24, 2005 11:04 pm

Manipe wrote:
dotslasher wrote:
Manipe wrote:
dotslasher wrote:i disabled the board to update to .12 (mod version) but after upgrading i cannot enter my admin cpanel anymore. I get rejected with the following msg: You are not authorised to administer this board.


It looks like you logged out, just after you disabled the board.
All you have to do is re-enable it through the SQL tables.
In phpbb_config, set "board_disable" to "0" (It should be one of the first rows).


i already did that, and the board is active, but i cant login to my admincp. thats the problem. And yes i am logged in and showing as Admin in the "who's online" thingy.

btw i'm using Php-Nuke Platinum if this gotten anything to do with it.


Is the link at the bottom of the page showing up (The one that links you to the ACP)?


yes that link is showing under my forums.

Miggl
Registered User
Posts: 4
Joined: Fri Dec 13, 2002 3:40 am

Post by Miggl » Thu Feb 24, 2005 11:24 pm

I was wondering if past manual update tutorials are available. I need to patch through version 2.0.5 manually. I checked sourceforge files and it seems to only make the full patches available.

Thanks for your help!

pbellamy
Registered User
Posts: 51
Joined: Fri Apr 04, 2003 10:24 am
Location: West Sussex, UK
Contact:

Post by pbellamy » Thu Feb 24, 2005 11:34 pm

Manipe wrote:
unset($input['input']);
unset($input['not_unset']);

while (list($var,) = @each($input))
{
if (!in_array($var, $not_unset))
{
unset($$var);
}
}

unset($input);
}
[/code]

Try and delete the comma (,) in this line:

Code: Select all

   while (list($var,) = @each($input)) 

I did that, didn't work.

I ended up deleting the last } and it appears fine now. Odd.

User avatar
Yegor
Registered User
Posts: 97
Joined: Tue Oct 22, 2002 10:13 pm
Location: Toronto
Contact:

Post by Yegor » Fri Feb 25, 2005 12:40 am

Great mod, only 1 problem. I updated, everything works fine, but the admin panel still says:
Your installation does not seem to be up to date. Updates are available for your version of phpBB, please visit http://www.phpbb.com/downloads.php to obtain the latest version.
The latest available version is phpBB 2.0.12.You are running phpBB 2.0.11.


I updated every file other than template.php (I run the eXtreme styles mod).

Post Reply

Return to “[2.0.x] MOD Database Releases”